/*
 *  C++ Performance API wrapper.
 *
 *  Copyright 2012 Aurelian Melinte. 
 *  Released under GPL 3.0 or later. 
 *
 *  The compiler is not fully C++0x compliant.
 */


#include "papi.hpp"


std::atomic<bool>  papi::library::_lib_init(false);
std::mutex  papi::library::_lib_mutex;
int  papi::library::_event_set = PAPI_NULL;

__thread unsigned long  papi::thread::_tid = static_cast<unsigned long>(-1);
__thread int  papi::thread::_event_set = PAPI_NULL;

